CANVAS_DRAW_ARC(3)

EXPERIMENTAL_FUNC
canvas_draw_arc - Draw an arc onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_draw_arc

(KWorldCanvas canvas, double centre_x, double centre_y, double radius_x, double radius_y, double angle1, double angle2, double rotation, double value[2], flag fill)

DESCRIPTION
Draw an arc onto a world canvas.

canvas
    The world canvas object.

centre_x
    The horizontal world co-ordinate of the centre of the ellipse.

centre_y
    The vertical world co-ordinate of the centre of the ellipse.

radius_x
    The horizontal radius in world co-ordinates.

radius_y
    The vertical radius in world co-ordinates.

angle1
    The start of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

angle2
    The end of the arc, in units of degrees, relative to +X. Increasing positive values are anticlockwise.

rotation
    The rotation of the arc, in degrees. A rotation of 0 degrees corresponds to (x > 0, y = 0). A rotation of 90 degrees corresponds to (x = 0, y > 0). In other words, the angle increases anticlockwise from the right.

value
    The complex value to draw the ellipse with. This must be of type K_DCOMPLEX.

fill
    If TRUE, the arc is filled, else only the outside is drawn.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/